Package ch.admin.suis.validator.rest.to.response

# Class ValidatableFile

java.lang.Object
ch.admin.suis.validator.rest.to.response.ValidatableFile

public class ValidatableFile extends Object
A data structure that represents a signed file when calling the validation client service. The `ValidatableFile` contains one or more nested data structures of type `SignatureTO` each representing a signature. When the service is called with the `processUnsignedFiles` flag set to true, the `signatures` entry might also be empty.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValidatableFile()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getClient()`
  Gets the `client` property.
  `byte[]`
  `getDocumentHash()`
  Gets the `documentHash` property.
  `String`
  `getDocumentName()`
  Gets the `documentName` property.
  `String`
  `getMandant()`
  Deprecated.
  use `getClient()`
  `int`
  `getMdpPermission()`
  Gets the `mdpPermission` property.
  `List<SignatureTO>`
  `getSignatures()`
  Gets the `signatures` property.
  `ValidationData`
  `getValidationData()`
  Gets the `validationData` property.
  `void`
  `setClient(String client)`
  Sets the `client` property.
  `void`
  `setDocumentHash(byte[] documentHash)`
  Sets the `documentHash` property.
  `void`
  `setDocumentName(String documentName)`
  Sets the `documentName` property.
  `void`
  `setMandant(String mandant)`
  Deprecated.
  use `setClient(String)`
  `void`
  `setMdpPermission(int mdpPermission)`
  Sets the `mdpPermission` property.
  `void`
  `setSignatures(List<SignatureTO> signatures)`
  Sets the `signatures` property.
  `void`
  `setValidationData(ValidationData validationData)`
  Sets the `validationData` property.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ValidatableFile

    public ValidatableFile()

- ## Method Details

  - ### getClient

    public String getClient()
    Gets the `client` property.
    Returns:
      the value of the `client` property

  - ### getDocumentHash

    public byte[] getDocumentHash()
    Gets the `documentHash` property.
    Returns:
      the value of the `documentHash` property

  - ### getDocumentName

    public String getDocumentName()
    Gets the `documentName` property.
    Returns:
      the value of the `documentName` property

  - ### getMandant

    @Deprecated public String getMandant()
    Deprecated.
    use `getClient()`
    Gets the `client` property from its legacy name.
    Returns:
      the `client` property.

  - ### getMdpPermission

    public int getMdpPermission()
    Gets the `mdpPermission` property. Represents the numeric permission level for document modifications. The value is determined from a PDF certification signature with Modification Detection and Prevention (MDP). The value is an integer where:

    The value is an integer where:

    - -1: Undefined permission level
    - 0: Unknown permission level
    - 1: No changes allowed
    - 2: Fill and sign operations allowed
    - 3: Fill, sign and annotate operations allowed
    Returns:
      the value of the `mdpPermission` property

  - ### getSignatures

    public List<SignatureTO> getSignatures()
    Gets the `signatures` property.
    Returns:
      the value of the `signatures` property

  - ### getValidationData

    public ValidationData getValidationData()
    Gets the `validationData` property.
    Returns:
      the value of the `validationData` property

  - ### setClient

    public void setClient(String client)
    Sets the `client` property.
    Parameters:
      `client` - the value to set for the `client` property.

  - ### setDocumentHash

    public void setDocumentHash(byte[] documentHash)
    Sets the `documentHash` property. The `documentHash` property is a SHA-256 hash of the file represented by this object.
    Parameters:
      `documentHash` - the value to set for the `documentHash` property.

  - ### setDocumentName

    public void setDocumentName(String documentName)
    Sets the `documentName` property.
    Parameters:
      `documentName` - the value to set for the `documenntName` property.

  - ### setMandant

    @Deprecated public void setMandant(String mandant)
    Deprecated.
    use `setClient(String)`
    Sets the `client` property with its legacy name.
    Parameters:
      `mandant` - the value to set for the `client` property.

  - ### setMdpPermission

    public void setMdpPermission(int mdpPermission)
    Sets the `mdpPermission` property. Represents the numeric permission level for document modifications. The value is determined from a PDF certification signature with Modification Detection and Prevention (MDP). The value is an integer where:
    - -1: Undefined permission level
    - 0: Unknown permission level
    - 1: No changes allowed
    - 2: Fill and sign operations allowed
    - 3: Fill, sign and annotate operations allowed
    Parameters:
      `mdpPermission` - the value to set for the `mdpPermission` property.

  - ### setSignatures

    public void setSignatures(List<SignatureTO> signatures)
    Sets the `signatures` property. The `signatures` property is a list of `SignatureTO` data structures each representing a signature in the file represented by this object.
    Parameters:
      `signatures` - the value to set for the `signatures` property.

  - ### setValidationData

    public void setValidationData(ValidationData validationData)
    Sets the `validationData` property.
    Parameters:
      `validationData` - the value to set for the `validationData` property.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`